#
# spec file for package python-thespian
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-thespian
Version:        3.10.7
Release:        1.6
Summary:        Python Actor concurrency library
License:        MIT
Group:          Development/Languages/Python
URL:            https://thespianpy.com
Source0:        https://files.pythonhosted.org/packages/source/t/thespian/thespian-%{version}.zip
BuildRequires:  %{python_module setproctitle}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
Requires:       python-setproctitle
BuildArch:      noarch
%python_subpackages

%description
Thespian is a Python library providing a framework for developing
concurrent, distributed, fault tolerant applications.

Thespian is built on the Actor Model which allows applications to be
written as a group of independently executing but cooperating
"Actors" which communicate via messages.  These Actors run within
the Actor System provided by the Thespian library.

      * Concurrent
      * Distributed
      * Fault Tolerant
      * Scalable
      * Location independent

Actor programming is broadly applicable and it is ideally suited
for Cloud-based applications as well, where compute nodes are
added and removed from the environment dynamically.

   * More Information: http://thespianpy.com
   * Release Notes: http://thespianpy.com/doc/releases.html

%prep
%setup -q -n thespian-%{version}
sed -i -e '1{\@^#!%{_bindir}/.*python@d}' thespian/{director,shell}.py

%build
%python_build

%install
%python_install
%{python_expand mv %{buildroot}%{$python_sitelib}/{contrib,thespian}
%fdupes %{buildroot}%{$python_sitelib}
}

%check
# neverending story

%files %{python_files}
%license LICENSE.txt
%doc README.rst doc/*.org
%{python_sitelib}/thespian*

%changelog
* Fri Dec  8 2023 Dirk Müller <dmueller@suse.com>
- update to 3.10.7:
  * Fix Issue #70: setting TCP_NODELAY on MacOS sometimes fails
* Tue Oct 11 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- version update to 3.10.6
  * Beta support for multiple convention leaders
* Fri Jul 24 2020 Marketa Calabkova <mcalabkova@suse.com>
- version update to 3.10.1
  * RunCommand buffer limits removed
  * Fix Issue #63: invalid socket fd
  * Unset THESPLOG_THRESHOLD fix
* Tue Mar 17 2020 pgajdos@suse.com
- version update to 3.10.0
  * transient_idle wakeups
  * Adjustable Troupe limits, THESPIAN_BASE_IPADDR
* Tue Jan  7 2020 Matej Cepl <mcepl@suse.com>
- Initial packaging effort for the version 3.9.11
